How I can align grids?


#1

Transaction open

set.Grids.Curve.Point.X ?? or something like that

I need I need the syntax.

or where to look?

Transaction close

Thank you

grids_position


Grid Element : an example for how to control element options
#2

You could just assign them all to a scope box in Revit, then unassign and stretch to where you need.

 

Grid2Scope


#3

John, thank you

But I would like to solve this problem through Python and RevitApi

I do not know where to find an example of an appropriate syntax Python for set parameters grids position (start point)


#4

Read-only or am I doing something wrong

why is it not working?

I would like move the grid to the line

12


#5

Legantmar,

You will not be able to change the reference curve or the start/end point of the curve.

What you can do though is move these curves: http://dynamobim.com/forums/topic/dynamo-to-relocate-placed-family-in-revit-file/

Thomas


#6

Revit 2016 exposed a few new methods for grids and levels’ representation. You might be able to find something that can align grids in here( check out “DatumPlane.SetCurveInView()” in particular):


#7

Thank you, Thomas and Dimitar!

You helped.

example code for move one grid:

grid = UnwrapElement(IN[0])
ids = ListElementId
ids.Add(grid.Id)
vector = IN[1].ToXyz(True)

TransactionManager.Instance.EnsureInTransaction(doc)
ElementTransformUtils.MoveElements(doc,ids,vector)
TransactionManager.Instance.TransactionTaskDone()